# Micro Data Analysis
# Workbook 2
# Binary data / ordered responses
# Name:

rm(list=ls())
setwd("C:\\Users\\budzi\\Documents\\Teaching\\MDA 2025\\Class 2")    # sets the access path (sometimes change the characters '\' to '/' is needed)
library(readxl)

## Exercise 1: Analyze individuals WTP for eco-apples
Apples <- read_excel("Apples.xls")
# Description
# eco - = 1 if consumer bought eco-apples
# ecoprc - price of eco-apples ($)
# regprc - price of regular apples ($)
# inseason - = 1 if there is season for apples
# male - = 1 if male
# age - consumer age
# educ - no. of years of education
# hhsize - size of the family
# faminc - income 

# 1.1 Calculate logistic regression in which consumers' decision to buy eco-apples is explained by their price. 
#   What is average WTP for eco-apples?

# 2.2 Expand the basic model by adding all the other covariates . Check whether the model has a proper functional form,
#     if not, then try to improve it. 

# 2.3 How does WTP differs between average male and female consumer? 

# 2.4 Estimate the model controlling for heteroskedasticity. Which variables can explain it? 


#################################################################################################################
## Exercise 2: Analyze what affects whether people care about culture in Warsaw
rm(list=ls())
Culture <- read_excel("Culture.xls")

# Wi?niewska, A., Budzi?ski, W., & Czajkowski, M. (2020). An economic valuation of access to cultural institutions: museums, theatres, and cinemas. Journal of Cultural Economics, 44(4), 563-587.

# Description
# Theatre - no. of visits to theatres in the last 12 months
# motcultu - I care about culture in Warsaw (1- def. agree, 4 - def. disagree, 5 - I dont know)
# tc - travel cost
# cs - inclusive value (estimate from choice model)
# income (in pln)
# inc_mis = 1 if income is missing (set to average value)
# hhpeop - no. of people in household
# age
# wars - no. of years living in Warsaw
# havejob - = 1 if have a job
# edugroup - = 1 if primary, = 2 if secondary, = 3 if higher
# havech - no of children in household

# 2.1 Recode variable motcultu, so that I dont know would be a third level (rather than fifth)


# 2.2 Estimate ordered logit


# 2.3. Calculate marginal effects and interpret the results


# 2.4 Estimate model with heteroskedasticity 


